<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.jeecg.modules.system.app.mapper.ReceiptPaymentDetailsInfoMapper">

    <select id="findPage" resultType="org.jeecg.modules.system.app.entity.ReceiptPaymentDetailsInfo">
        select * from nm_receipt_payment_details_info
        where 1=1
        <if test="receiptPaymentDetailsInfo != null and receiptPaymentDetailsInfo != ''">
            <if test="receiptPaymentDetailsInfo.payType != null">
            AND a.name =#{receiptPaymentDetailsInfo.payType}
            </if>
            <if test="receiptPaymentDetailsInfo.purseChangeReason != null ">
                AND a.name = #{receiptPaymentDetailsInfo.purseChangeReason}
            </if>
            <if test="receiptPaymentDetailsInfo.moneyType != null">
                AND a.name = #{receiptPaymentDetailsInfo.moneyType}
            </if>
            <if test="receiptPaymentDetailsInfo.orgCode != null and receiptPaymentDetailsInfo.orgCode  != ''">
                AND a.name = #{receiptPaymentDetailsInfo.orgCode}
            </if>
        </if>
    </select>
</mapper>